Bug 1902626

Summary: root fails to build with Python 3.10: g++: fatal error: Killed signal terminated program cc1plus compilation terminated.
Product: [Fedora] Fedora Reporter: Tomáš Hrnčiar <thrnciar>
Component: rootAssignee: Mattias Ellert <mattias.ellert>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: mattias.ellert, mhroncok, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-01 08:24:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1890881    

Description Tomáš Hrnčiar 2020-11-30 08:21:27 UTC
root fails to build with Python 3.10.0a2.

g++: fatal error: Killed signal terminated program cc1plus
compilation terminated.
gmake[2]: *** [interpreter/llvm/src/tools/clang/lib/AST/CMakeFiles/clangAST.dir/build.make:111: interpreter/llvm/src/tools/clang/lib/AST/CMakeFiles/clangAST.dir/ASTContext.cpp.o] Error 1

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.10/fedora-rawhide-x86_64/01805991-root/

For all our attempts to build root with Python 3.10, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/package/root/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.10:
https://copr.fedorainfracloud.org/coprs/g/python/python3.10/

Let us know here if you have any questions.

Python 3.10 will be included in Fedora 35. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.10.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Mattias Ellert 2020-12-01 08:24:34 UTC
This failure is not reproducible in a local mock build with the python 3.10 copr repo added.

The resulting RPMs properly depend on python 3.10:

$ rpm -q --requires -p results_root/6.22.06/1.fc34/python3-root-6.22.06-1.fc34.x86_64.rpm | grep python
python(abi) = 3.10

The error reported in your build log does not seem python related. Did the build simply ran out om memory or something similar?

Comment 2 Tomáš Hrnčiar 2020-12-02 07:57:00 UTC
> The error reported in your build log does not seem python related. Did the
> build simply ran out om memory or something similar?

Yes, you are correct. Sorry for the noise. I tried to rebuild it and it builds alright.